| Home | Libraries | People | FAQ | More

## Class template date_itr

boost::date_time::date_itr — Overrides the base date iterator providing hook for functors.

## Synopsis

    // In header: <boost/date_time/date_iterator.hpp>

    template<typename offset_functor, typename date_type>
    class date_itr : public boost::date_time::date_itr_base< date_type > {
    public:
      // types
      typedef date_type::duration_type duration_type;

      // construct/copy/destruct
      date_itr(date_type, int = 1);

      // private member functions
      duration_type get_offset(const date_type &) const;
      duration_type get_neg_offset(const date_type &) const;
    };

## Description

### `date_itr` public construct/copy/destruct

1.     date_itr(date_type d, int factor = 1);

### `date_itr` private member functions

1.     duration_type get_offset(const date_type & current) const;

2.     duration_type get_neg_offset(const date_type & current) const;